<?php
Yii::app()->clientScript-> registerScriptFile('/lichtkegel/trunk/js/ckeditor/ckeditor.js'); 
Yii::app()->clientScript-> registerScriptFile('/lichtkegel/trunk/js/ckeditor/adapters/jquery.js');
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'sitecontent-form',
	'enableAjaxValidation'=>true,
)); ?>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'position'); ?>
		<?php echo CHtml::activeDropDownList($model,
				'position',CHtml::listData(Menustructure::model()->findAll(),
					'id',
					'title')); ?>
		<?php echo $form->error($model,'position'); ?>
	</div>

	<div class="row" style="float:right;">
		<?php echo $form->labelEx($model,'sort'); ?>
		<?php for($i = 0; $i < 10; $i++) $sort[] = $i; ?>
		<?php echo CHtml::dropDownList('Sitecontent[sort]', $model->sort, $sort); ?>
		<?php echo $form->error($model,'sort'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'title'); ?>
		<?php echo $form->textField($model,'title',array('size'=>60,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'title'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'content'); ?>
		<?php echo $form->textArea($model,'content',array('rows'=>6, 'cols'=>50)); ?>
<?php Yii::app()->clientScript->registerScript("ckeditor", "$('#Sitecontent_content').ckeditor();"); ?>
		<?php echo $form->error($model,'content'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord 
		? Yii::t('CmsModule.cms', 'Create sitecontent') 
		: Yii::t('CmsModule.cms', 'Save sitecontent')); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
