<?php
$this->breadcrumbs=array(
	Yii::t('CmsModule.cms', 'Menustructure')=>array('index'),
	Yii::t('CmsModule.cms', 'Manage'),
);

$this->menu=array(
		array(
			'label'=>Yii::t('CmsModule.cms', 'Manage Menustructure'), 
			'url'=>array('menustructure/admin')
			),
		array(
			'label'=>Yii::t('CmsModule.cms', 'Manage Sitecontent'), 
			'url'=>array('sitecontent/admin')
			),
		array(
			'label'=>Yii::t('CmsModule.cms', 'Show Menu Structure'),
			'url'=>array('index')
			),
		array('label'=>Yii::t('CmsModule.cms', 'Create new Menupoint'),
			'url'=>array('create')
			),
		);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('menustructure-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('CmsModule.cms', 'Manage the Menu structure');?> </h1>

<?php echo CHtml::link(Yii::t('App','Advanced Search'),'#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'menustructure-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'title',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
