<?php
$this->breadcrumbs=array(
	Yii::t('CmsModule.cms', 'Menustructure')=>array('index'),
	$model->title,
);

$this->menu=array(
		array(
			'label'=>Yii::t('CmsModule.cms', 'Manage Menustructure'), 
			'url'=>array('menustructure/admin')
			),
		array(
			'label'=>Yii::t('CmsModule.cms', 'Manage Sitecontent'), 
			'url'=>array('sitecontent/admin')
			),
		array(
			'label'=>Yii::t('CmsModule.cms', 'View Menustructure'),
			'url'=>array('index')),
		array(
			'label'=>Yii::t('CmsModule.cms', 'Create new Menupoint'),
			'url'=>array('create')),
		array(
			'label'=>Yii::t('CmsModule.cms', 'Update menupoint'),
			'url'=>array('update', 'id'=>$model->id)
			),
		);
?>

<h1><?php echo $model->title; ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data'=>$model,
	'attributes'=>array(
		'id',
		'title',
	),
)); ?>

<?php
if($model->sitecontent) 
{
	echo "<p>";
	echo Yii::t('CmsModule.cms', 'This Menuentry has the following Sitecontent'); 
	echo "</p>";
	echo "<ul>";
	foreach($model->sitecontent as $sitecontent)
	{
		printf("<ul>%s(#%d)</ul>", 
			CHtml::link($sitecontent->title, array(
				'/cms/sitecontent/update', 'id' => $sitecontent->idsitecontent)),
			$sitecontent->idsitecontent
		);	
	}
	echo "</ul>";
}
else
{

	echo "<p>";
	echo Yii::t('CmsModule.cms', 'This Menuentry has no Sitecontent yet');
	echo	"<br />"; 
	echo CHtml::link(Yii::t('CmsModule.cms', 'Create new Sitecontent'),
		array('/cms/sitecontent/create', "position" => $model->id)); 
	echo "</p>";
}
?>

<br />
